Doomsday Engine - Bug #2242

[macOS] Crash when running on macOS 10.11 or older (FluidSynth and GLib)
2017-04-05 19:58 - skyjake

Status: Closed Start date: 2017-04-05
Priority: High % Done: 100%
Assignee: skyjake

Category: Defect

Target version: 2.01

Description

The FluidSynth audio plugin uses GLib libraries compiled for macOS 10.12. This naturally causes FluidSynth to fail to load and
possibly even crash Doomsday altogether.

The GLib libraries should be targeting the 10.10 like Doomsday itself does.

Associated revisions

Revision d5739e5f - 2017-04-06 17:14 - skyjake
macOS|CMake|FluidSynth: Option to use a static version of GLib et al.

Previously, the build was configured to use GLib from Homebrew, but
that is built for the currently installed version of macOS. Doomsday

is targeting macOS 10.10, so a manually compiled GLib is required
instead.

IssuelD #2242

Revision 71718a5d - 2017-04-08 10:02 - skyjake
macOS|CMake|FluidSynth: Option to use a static version of GLib et al.
Previously, the build was configured to use GLib from Homebrew, but
that is built for the currently installed version of macOS. Doomsday

is targeting macOS 10.10, so a manually compiled GLib is required

instead.

IssuelD #2242

History

#1 - 2017-04-05 19:58 - skyjake

- Description updated

#2 - 2017-04-06 17:15 - skyjake
- Status changed from New to Resolved

- % Done changed from 0 to 100

#3 - 2017-04-07 08:09 - skyjake

- Status changed from Resolved to Closed

#4 - 2017-04-07 08:09 - skyjake

- Status changed from Closed to Resolved

#5 - 2017-04-08 10:05 - skyjake

- Status changed from Resolved to Closed
